#include "simengine.h"
#include "simple_simengine_example.h"
#include <iostream>
#include <cmath>

using namespace std;

int main(int c, char** v) 
{
  My_Object objects[5];
  if(c!=3)
    {
      cout<<endl
          <<" simple_simengine_example.h and simple_simengine_example.cpp"<<endl
	  <<" show  an example on how to use simengine.h and "<<endl
	  <<" simengine.cpp in simulations.  My_Object is a simple object"<<endl
	  <<" to be simulated, waking up in constant time periods  and"<<endl
	  <<" reporting its awakening."<<endl
	  <<" number_of_object amount of My_Objects will be instantiated, each"<<endl
	  <<" of them waking up with a different (increasing) two-power time"<<endl
	  <<" period."<<endl<<endl
          <<"Usage: "<<endl<<v[0]<<" simtime(in secs) number_of_objects"<<endl;
      exit(-1);
    }
  for(int j=0;j<atoi(v[2]);j++)
    objects[j].Initialize(pow(2.0,j),0,j);
  Simengine().Simulate(atof(v[1])); 
}
 
